$STORAGE: 2
      SUBROUTINE HIHDIG(X,ID,IS)
      XT=X
      ID=0
      IS=0
      IF (ABS(X).EQ.0.0) RETURN
      IF (ABS(X).LT.1.) GO TO 20
      IF (ABS(X).GE.10.) GO TO 30
      ID=X
      RETURN
   20 XT=XT*10.
      IS=IS-1
      IF (ABS(XT).LT.1.) GO TO 20
      GO TO 40
   30 XT=XT/10.
      IS=IS+1
      IF (ABS(XT).GE.10.) GO TO 30
   40 ID=XT
      RETURN
      END


